# openPilotLog: experimental::AAircraftEntry Struct Reference

experimental::AAircraftEntry Struct Reference
Inheritance diagram for experimental::AAircraftEntry:

## Public Member Functions

| AAircraftEntry (const AAircraftEntry &te)=default
AAircraftEntry & | operator= (const AAircraftEntry &te)=default
| AAircraftEntry (int row_id)
| AAircraftEntry (TableData table_data)
Public Member Functions inherited from experimental::AEntry
| AEntry (const AEntry &)=default
AEntry & | operator= (const AEntry &)=default
| AEntry (DataPosition position_)
| AEntry (TableData table_data)
| AEntry (DataPosition position_, TableData table_data)
void | setData (TableData table_data)
void | setPosition (DataPosition position_)
const DataPosition & | getPosition ()
const TableData & | getData ()

## Additional Inherited Members

Public Attributes inherited from experimental::AEntry
TableData | tableData
Protected Attributes inherited from experimental::AEntry
DataPosition | position

The documentation for this struct was generated from the following files:

- src/experimental/aaircraftentry.h
- src/experimental/aaircraftentry.cpp